# Class SingleCoord

java.lang.Object
uk.ac.starlink.ttools.plot2.data.SingleCoord

All Implemented Interfaces:
  `Coord`

Direct Known Subclasses:
  `BooleanCoord, FixedLengthVectorCoord, FloatingArrayCoord, FloatingCoord, IntegerCoord, LongCoord, StringCoord`

public abstract class SingleCoord extends Object implements Coord
Partial Coord implementation for quantities that are represented as scalars both to the user and internally.

Since:
  4 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SingleCoord(InputMeta meta, boolean isRequired, uk.ac.starlink.table.Domain<?> domain, StorageType storageType)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Input`
`getInput()`
Returns the single user data input object.
`Input[]`
`getInputs()`
Returns specifications of the one or more input values the user supplies to provide the data values for this coord.
`StorageType`
`getStorageType()`
Returns a code indicating how the quantity defined by this object is stored internally and presented to the plotting classes.
`boolean`
`isRequired()`
Indicates whether this item must have a non-blank value in order for a plot to be possible.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Coord

`inputStorage`

## Constructor Details

### SingleCoord

protected SingleCoord(InputMeta meta, boolean isRequired, uk.ac.starlink.table.Domain<?> domain, StorageType storageType)
Constructor.

Parameters:
  `meta` - descriptive metadata for single user coordinate
  `isRequired` - true if this coordinate is required for plotting
  `domain` - input coordinate domain
  `storageType` - storage type object

## Method Details

### getInputs

public Input[] getInputs()
Description copied from interface: `Coord`
Returns specifications of the one or more input values the user supplies to provide the data values for this coord.

Specified by:
  `getInputs` in interface `Coord`
Returns:
  one or more items describing the user input values for this quantity

### getInput

public Input getInput()
Returns the single user data input object.

Returns:
  modifiable info object

### getStorageType

public StorageType getStorageType()
Description copied from interface: `Coord`
Returns a code indicating how the quantity defined by this object is stored internally and presented to the plotting classes.

Specified by:
  `getStorageType` in interface `Coord`
Returns:
  storage type enum instance

### isRequired

public boolean isRequired()
Description copied from interface: `Coord`
Indicates whether this item must have a non-blank value in order for a plot to be possible.

Specified by:
  `isRequired` in interface `Coord`
Returns:
  if true, values must be supplied to make a plot

### toString

public String toString()

Overrides:
  `toString` in class `Object`